<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Jonna and the Unpossible Monsters</Series>
  <Number>7</Number>
  <Web>https://www.comixology.com/Jonna-and-the-Unpossible-Monsters-7/digital-comic/966605</Web>
  <Summary>The search to find their missing father has led Rainbow and Jonna through poisonous, monster-infested wastes, desert lands, dank caves, and now, a hidden city. They have experienced the best and worst of humanity in their short time in the bustling, if ramshackle, metropolis. It’s safe to say that they’ve both had enough, so Rainbow ventures deep into the monster fighting pits to rescue her sister as only she can! One thing leads to another, and it’s dueling rescues in this incredible tour-de-force issue. Plus, we return to the epic punch that kicked off the whole journey as we witness the events of issue on from a whole new perspective!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB966605], [ASINB09FFVDGM6]</Notes>
  <Publisher>Oni Press</Publisher>
  <Genre>Post-Apocalyptic, Fantasy, Action/Adventure, Science Fiction</Genre>
  <PageCount>26</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
